/*
 * Copyright 2018 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.verilog.parser;

import org.junit.Test;

import java.io.File;
import java.nio.file.Paths;

/**
 * Basic class for IEEE Std 1364-2005 jUnit test cases.
 *
 * @author <a href="mailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class VerilogIeeeTestCase extends VerilogBenchmarkTest {

  @Test
  public void runTest_03_05_01_1() {
    runTest("test", "test_03_05_01_1.v");
  }

  @Test
  public void runTest_03_05_01_2() {
    runTest("test", "test_03_05_01_2.v");
  }

  @Test
  public void runTest_03_05_01_3() {
    runTest("test", "test_03_05_01_3.v");
  }

  @Test
  public void runTest_03_05_01_4() {
    runTest("test", "test_03_05_01_4.v");
  }

  @Test
  public void runTest_03_05_01_5() {
    runTest("test", "test_03_05_01_5.v");
  }

  @Test
  public void runTest_03_05_02_1() {
    runTest("test", "test_03_05_02_1.v");
  }

  @Test
  public void runTest_03_06_01_1() {
    runTest("test", "test_03_06_01_1.v");
  }

  @Test
  public void runTest_03_06_02_1() {
    runTest("string_test", "test_03_06_02_1.v");
  }

  @Test
  public void runTest_03_06_03_1() {
    runTest("test", "test_03_06_03_1.v");
  }

  @Test
  public void runTest_03_07_00_1() {
    runTest("test", "test_03_07_00_1.v");
  }

  @Test
  public void runTest_03_07_01_1() {
    runTest("test", "test_03_07_01_1.v");
  }

  @Test
  public void runTest_03_07_03_1() {
    runTest("test", "test_03_07_03_1.v");
  }

  @Test
  public void runTest_03_07_04_1() {
    runTest("test", "test_03_07_04_1.v");
  }

  @Test
  public void runTest_03_08_01_1() {
    runTest("test", "test_03_08_01_1.v");
  }

  @Test
  public void runTest_03_08_01_2() {
    runTest("test", "test_03_08_01_2.v");
  }

  @Test
  public void runTest_03_08_01_3() {
    runTest("mod1", "test_03_08_01_3.v");
  }

  @Test
  public void runTest_03_08_01_4() {
    runTest("test", "test_03_08_01_4.v");
  }

  @Test
  public void runTest_03_08_01_5() {
    runTest("test", "test_03_08_01_5.v");
  }

  @Test
  public void runTest_03_08_01_6() {
    runTest("test", "test_03_08_01_6.v");
  }

  @Test
  public void runTest_03_08_01_7() {
    runTest("test", "test_03_08_01_7.v");
  }

  @Test
  public void runTest_03_08_01_8() {
    runTest("test", "test_03_08_01_8.v");
  }

  @Test
  public void runTest_04_03_01_1() {
    runTest("test", "test_04_03_01_1.v");
  }

  @Test
  public void runTest_04_03_02_1() {
    runTest("test", "test_04_03_02_1.v");
  }

  @Test
  public void runTest_04_04_01_1() {
    runTest("test", "test_04_04_01_1.v");
  }

  @Test
  public void runTest_04_05_00_1() {
    runTest("test", "test_04_05_00_1.v");
  }

  @Test
  public void runTest_04_05_00_2() {
    runTest("test", "test_04_05_00_2.v");
  }

  @Test
  public void runTest_04_05_00_3() {
    runTest("test", "test_04_05_00_3.v");
  }

  @Test
  public void runTest_04_08_00_1() {
    runTest("test", "test_04_08_00_1.v");
  }

  @Test
  public void runTest_04_09_00_1() {
    runTest("test", "test_04_09_00_1.v");
  }

  @Test
  public void runTest_04_09_03_1_1() {
    runTest("test", "test_04_09_03_1_1.v");
  }

  @Test
  public void runTest_04_09_03_1_2() {
    runTest("test", "test_04_09_03_1_2.v");
  }

  @Test
  public void runTest_04_09_03_1_3() {
    runTest("test", "test_04_09_03_1_3.v");
  }

  @Test
  public void runTest_04_10_01_1() {
    runTest("test", "test_04_10_01_1.v");
  }

  @Test
  public void runTest_04_10_03_1() {
    runTest("test", "test_04_10_03_1.v");
  }

  @Test
  public void runTest_04_10_03_2() {
    runTest("RAM16GEN", "test_04_10_03_2.v");
  }

  @Test
  public void runTest_05_01_03_1() {
    runTest("test", "test_05_01_03_1.v");
  }

  @Test
  public void runTest_05_01_04_1() {
    runTest("test", "test_05_01_04_1.v");
  }

  @Test
  public void runTest_05_01_05_1() {
    runTest("test", "test_05_01_05_1.v");
  }

  @Test
  public void runTest_05_01_05_2() {
    runTest("test", "test_05_01_05_2.v");
  }

  @Test
  public void runTest_05_01_06_1() {
    runTest("test", "test_05_01_06_1.v");
  }

  @Test
  public void runTest_05_01_07_1() {
    runTest("test", "test_05_01_07_1.v");
  }

  @Test
  public void runTest_05_01_07_2() {
    runTest("test", "test_05_01_07_2.v");
  }

  @Test
  public void runTest_05_01_08_1() {
    runTest("test", "test_05_01_08_1.v");
  }

  @Test
  public void runTest_05_01_09_1() {
    runTest("test", "test_05_01_09_1.v");
  }

  @Test
  public void runTest_05_01_09_2() {
    runTest("test", "test_05_01_09_2.v");
  }

  @Test
  public void runTest_05_01_09_3() {
    runTest("test", "test_05_01_09_3.v");
  }

  @Test
  public void runTest_05_01_12_1() {
    runTest("shift", "test_05_01_12_1.v");
  }

  @Test
  public void runTest_05_01_12_2() {
    runTest("ashift", "test_05_01_12_2.v");
  }

  @Test
  public void runTest_05_01_13_1() {
    runTest("test", "test_05_01_13_1.v");
  }

  @Test
  public void runTest_05_01_14_1() {
    runTest("test", "test_05_01_14_1.v");
  }

  @Test
  public void runTest_05_01_14_2() {
    runTest("test", "test_05_01_14_2.v");
  }

  @Test
  public void runTest_05_01_14_3() {
    runTest("test", "test_05_01_14_3.v");
  }

  @Test
  public void runTest_05_01_14_4() {
    runTest("test", "test_05_01_14_4.v");
  }

  @Test
  public void runTest_05_02_01_1() {
    runTest("test", "test_05_02_01_1.v");
  }

  @Test
  public void runTest_05_02_01_2() {
    runTest("test", "test_05_02_01_2.v");
  }

  @Test
  public void runTest_05_02_01_3() {
    runTest("test", "test_05_02_01_3.v");
  }

  @Test
  public void runTest_05_02_01_4() {
    runTest("test", "test_05_02_01_4.v");
  }

  @Test
  public void runTest_05_02_02_1() {
    runTest("test", "test_05_02_02_1.v");
  }

  @Test
  public void runTest_05_02_02_2() {
    runTest("test", "test_05_02_02_2.v");
  }

  @Test
  public void runTest_05_02_03_1() {
    runTest("string_test", "test_05_02_03_1.v");
  }

  @Test
  public void runTest_05_02_03_2_1() {
    runTest("test", "test_05_02_03_2_1.v");
  }

  @Test
  public void runTest_05_03_00_1() {
    runTest("test", "test_05_03_00_1.v");
  }

  @Test
  public void runTest_05_04_00_1() {
    runTest("test", "test_05_04_00_1.v");
  }

  @Test
  public void runTest_05_04_02_1() {
    runTest("test", "test_05_04_02_1.v");
  }

  @Test
  public void runTest_05_04_02_2() {
    runTest("bitlength", "test_05_04_02_2.v");
  }

  @Test
  public void runTest_05_04_03_1() {
    runTest("test", "test_05_04_03_1.v");
  }

  @Test
  public void runTest_05_05_00_1() {
    runTest("test", "test_05_05_00_1.v");
  }

  @Test
  public void runTest_05_05_01_1() {
    runTest("test", "test_05_05_01_1.v");
  }

  @Test
  public void runTest_05_06_00_1() {
    runTest("test", "test_05_06_00_1.v");
  }

  @Test
  public void runTest_05_06_00_2() {
    runTest("test", "test_05_06_00_2.v");
  }

  @Test
  public void runTest_05_06_00_3() {
    runTest("test", "test_05_06_00_3.v");
  }

  @Test
  public void runTest_06_01_01_1() {
    runTest("test", "test_06_01_01_1.v");
  }

  @Test
  public void runTest_06_01_02_1() {
    runTest("test", "test_06_01_02_1.v");
  }

  @Test
  public void runTest_06_01_02_2() {
    runTest("adder", "test_06_01_02_2.v");
  }

  @Test
  public void runTest_06_01_02_3() {
    runTest("select_bus", "test_06_01_02_3.v");
  }

  @Test
  public void runTest_06_01_03_1() {
    runTest("test", "test_06_01_03_1.v");
  }

  @Test
  public void runTest_06_02_01_1() {
    runTest("test", "test_06_02_01_1.v");
  }

  @Test
  public void runTest_06_02_01_2() {
    runTest("test", "test_06_02_01_2.v");
  }

  @Test
  public void runTest_06_02_01_3() {
    runTest("test", "test_06_02_01_3.v");
  }

  @Test
  public void runTest_06_02_01_4() {
    runTest("test", "test_06_02_01_4.v");
  }

  @Test
  public void runTest_06_02_01_5() {
    runTest("test", "test_06_02_01_5.v");
  }

  @Test
  public void runTest_07_01_02_1() {
    runTest("test", "test_07_01_02_1.v");
  }

  @Test
  public void runTest_07_01_05_1() {
    runTest("test", "test_07_01_05_1.v");
  }

  @Test
  public void runTest_07_01_06_1() {
    runTest("test", "test_07_01_06_1.v");
  }

  @Test
  public void runTest_07_01_06_2_1() {
    runTest("driver", "test_07_01_06_2.v");
  }

  @Test
  public void runTest_07_01_06_2_2() {
    runTest("driver_equiv", "test_07_01_06_2.v");
  }

  @Test
  public void runTest_07_01_06_3_1() {
    runTest("busdriver", "test_07_01_06_3.v");
  }

  @Test
  public void runTest_07_01_06_3_2() {
    runTest("busdriver_equiv", "test_07_01_06_3.v");
  }

  @Test
  public void runTest_07_01_06_4() {
    runTest("MxN_pipeline", "test_07_01_06_4.v");
  }

  @Test
  public void runTest_07_02_00_1() {
    runTest("test", "test_07_02_00_1.v");
  }

  @Test
  public void runTest_07_03_00_1() {
    runTest("test", "test_07_03_00_1.v");
  }

  @Test
  public void runTest_07_04_00_1() {
    runTest("test", "test_07_04_00_1.v");
  }

  @Test
  public void runTest_07_05_00_1() {
    runTest("test", "test_07_05_00_1.v");
  }

  @Test
  public void runTest_07_06_00_1() {
    runTest("test", "test_07_06_00_1.v");
  }

  @Test
  public void runTest_07_07_00_1() {
    runTest("test", "test_07_07_00_1.v");
  }

  @Test
  public void runTest_07_08_00_1() {
    runTest("test", "test_07_08_00_1.v");
  }

  @Test
  public void runTest_07_14_00_1() {
    runTest("test", "test_07_14_00_1.v");
  }

  @Test
  public void runTest_07_14_00_2() {
    runTest("tri_latch", "test_07_14_00_2.v");
  }

  @Test
  public void runTest_07_14_01_1() {
    runTest("iobuf", "test_07_14_01_1.v");
  }

  @Test
  public void runTest_07_14_01_2() {
    runTest("test", "test_07_14_01_2.v");
  }

  @Test
  public void runTest_07_14_02_2_1() {
    runTest("test", "test_07_14_02_2_1.v");
  }

  @Test
  public void runTest_08_02_00_1() {
    runTest("test", "test_08_02_00_1.v");
  }

  @Test
  public void runTest_08_02_00_2() {
    runTest("test", "test_08_02_00_2.v");
  }

  @Test
  public void runTest_08_03_00_1() {
    runTest("test", "test_08_03_00_1.v");
  }

  @Test
  public void runTest_08_04_00_1() {
    runTest("test", "test_08_04_00_1.v");
  }

  @Test
  public void runTest_08_05_00_1() {
    runTest("test", "test_08_05_00_1.v");
  }

  @Test
  public void runTest_08_05_00_2() {
    runTest("dff", "test_08_05_00_2.v");
  }

  @Test
  public void runTest_08_06_00_1() {
    runTest("flip", "test_08_06_00_1.v");
  }

  @Test
  public void runTest_08_07_00_1() {
    runTest("flip", "test_08_07_00_1.v");
  }

  @Test
  public void runTest_09_01_00_1() {
    runTest("behave", "test_09_01_00_1.v");
  }

  @Test
  public void runTest_09_02_01_1() {
    runTest("test", "test_09_02_01_1.v");
  }

  @Test
  public void runTest_09_02_02_1() {
    runTest("evaluates2", "test_09_02_02_1.v");
  }

  @Test
  public void runTest_09_02_02_2() {
    runTest("non_block1", "test_09_02_02_2.v");
  }

  @Test
  public void runTest_09_02_02_3() {
    runTest("non_block1", "test_09_02_02_3.v");
  }

  @Test
  public void runTest_09_02_02_4() {
    runTest("multiple", "test_09_02_02_4.v");
  }

  @Test
  public void runTest_09_02_02_5() {
    runTest("multiple2", "test_09_02_02_5.v");
  }

  @Test
  public void runTest_09_02_02_6() {
    runTest("multiple3", "test_09_02_02_6.v");
  }

  @Test
  public void runTest_09_02_02_7() {
    runTest("multiple4", "test_09_02_02_7.v");
  }

  @Test
  public void runTest_09_03_01_1() {
    runTest("dff", "test_09_03_01_1.v");
  }

  @Test
  public void runTest_09_03_02_1() {
    runTest("test", "test_09_03_02_1.v");
  }

  @Test
  public void runTest_09_03_02_2() {
    runTest("test", "test_09_03_02_2.v");
  }

  @Test
  public void runTest_09_04_00_1() {
    runTest("test", "test_09_04_00_1.v");
  }

  @Test
  public void runTest_09_04_00_2() {
    runTest("test", "test_09_04_00_2.v");
  }

  @Test
  public void runTest_09_04_00_3() {
    runTest("test", "test_09_04_00_3.v");
  }

  @Test
  public void runTest_09_04_01_1() {
    runTest("test", "test_09_04_01_1.v");
  }

  @Test
  public void runTest_09_05_00_1() {
    runTest("test", "test_09_05_00_1.v");
  }

  @Test
  public void runTest_09_05_00_2() {
    runTest("test", "test_09_05_00_2.v");
  }

  @Test
  public void runTest_09_05_00_3() {
    runTest("test", "test_09_05_00_3.v");
  }

  @Test
  public void runTest_09_05_01_1() {
    runTest("test", "test_09_05_01_1.v");
  }

  @Test
  public void runTest_09_05_01_2() {
    runTest("test", "test_09_05_01_2.v");
  }

  @Test
  public void runTest_09_05_02_1() {
    runTest("test", "test_09_05_02_1.v");
  }

  @Test
  public void runTest_09_06_00_1() {
    runTest("test", "test_09_06_00_1.v");
  }

  @Test
  public void runTest_09_06_00_2() {
    runTest("test", "test_09_06_00_2.v");
  }

  @Test
  public void runTest_09_06_00_3() {
    runTest("test", "test_09_06_00_3.v");
  }

  @Test
  public void runTest_09_07_01_1() {
    runTest("test", "test_09_07_01_1.v");
  }

  @Test
  public void runTest_09_07_01_2() {
    runTest("test", "test_09_07_01_2.v");
  }

  @Test
  public void runTest_09_07_02_1() {
    runTest("test", "test_09_07_02_1.v");
  }

  @Test
  public void runTest_09_07_04_1() {
    runTest("test", "test_09_07_04_1.v");
  }

  @Test
  public void runTest_09_07_04_2() {
    runTest("test", "test_09_07_04_2.v");
  }

  @Test
  public void runTest_09_07_05_1() {
    runTest("test", "test_09_07_05_1.v");
  }

  @Test
  public void runTest_09_07_05_2() {
    runTest("test", "test_09_07_05_2.v");
  }

  @Test
  public void runTest_09_07_05_3() {
    runTest("test", "test_09_07_05_3.v");
  }

  @Test
  public void runTest_09_07_05_4() {
    runTest("test", "test_09_07_05_4.v");
  }

  @Test
  public void runTest_09_07_05_5() {
    runTest("test", "test_09_07_05_5.v");
  }

  @Test
  public void runTest_09_07_05_6() {
    runTest("test", "test_09_07_05_6.v");
  }

  @Test
  public void runTest_09_07_06_1() {
    runTest("test", "test_09_07_06_1.v");
  }

  @Test
  public void runTest_09_07_07_1() {
    runTest("test", "test_09_07_07_1.v");
  }

  @Test
  public void runTest_09_07_07_2() {
    runTest("test", "test_09_07_07_2.v");
  }

  @Test
  public void runTest_09_07_07_3() {
    runTest("test", "test_09_07_07_3.v");
  }

  @Test
  public void runTest_09_07_07_4() {
    runTest("test", "test_09_07_07_4.v");
  }

  @Test
  public void runTest_09_07_07_5() {
    runTest("test", "test_09_07_07_5.v");
  }

  @Test
  public void runTest_09_07_07_6() {
    runTest("test", "test_09_07_07_6.v");
  }

  @Test
  public void runTest_09_07_07_7() {
    runTest("test", "test_09_07_07_7.v");
  }

  @Test
  public void runTest_09_07_07_8() {
    runTest("test", "test_09_07_07_8.v");
  }

  @Test
  public void runTest_09_07_07_9() {
    runTest("test", "test_09_07_07_9.v");
  }

  @Test
  public void runTest_09_07_07_10() {
    runTest("test", "test_09_07_07_10.v");
  }

  @Test
  public void runTest_09_08_01_1() {
    runTest("test", "test_09_08_01_1.v");
  }

  @Test
  public void runTest_09_08_01_2() {
    runTest("test", "test_09_08_01_2.v");
  }

  @Test
  public void runTest_09_08_01_3() {
    runTest("test", "test_09_08_01_3.v");
  }

  @Test
  public void runTest_09_08_02_1() {
    runTest("test", "test_09_08_02_1.v");
  }

  @Test
  public void runTest_09_08_04_1() {
    runTest("test", "test_09_08_04_1.v");
  }

  @Test
  public void runTest_09_08_04_2() {
    runTest("test", "test_09_08_04_2.v");
  }

  @Test
  public void runTest_09_09_01_1() {
    runTest("test", "test_09_09_01_1.v");
  }

  @Test
  public void runTest_09_09_01_2() {
    runTest("test", "test_09_09_01_2.v");
  }

  @Test
  public void runTest_09_09_02_1() {
    runTest("test", "test_09_09_02_1.v");
  }

  @Test
  public void runTest_09_09_02_2() {
    runTest("test", "test_09_09_02_2.v");
  }

  @Test
  public void runTest_10_01_00_1() {
    runTest("test", "test_10_01_00_1.v");
  }

  @Test
  public void runTest_10_01_00_2() {
    runTest("test", "test_10_01_00_2.v");
  }

  @Test
  public void runTest_10_02_02_1_1() {
    runTest("test", "test_10_02_02_1_1.v");
  }

  @Test
  public void runTest_10_02_02_1_2() {
    runTest("test", "test_10_02_02_1_2.v");
  }

  @Test
  public void runTest_10_02_02_2() {
    runTest("traffic_lights", "test_10_02_02_2.v");
  }

  @Test
  public void runTest_10_03_00_1() {
    runTest("test", "test_10_03_00_1.v");
  }

  @Test
  public void runTest_10_03_00_2() {
    runTest("test", "test_10_03_00_2.v");
  }

  @Test
  public void runTest_10_03_00_3() {
    runTest("test", "test_10_03_00_3.v");
  }

  @Test
  public void runTest_10_03_00_4() {
    runTest("test", "test_10_03_00_4.v");
  }

  @Test
  public void runTest_10_03_00_5() {
    runTest("test", "test_10_03_00_5.v");
  }

  @Test
  public void runTest_10_03_00_6() {
    runTest("test", "test_10_03_00_6.v");
  }

  @Test
  public void runTest_10_04_01_1() {
    runTest("test", "test_10_04_01_1.v");
  }

  @Test
  public void runTest_10_04_01_2() {
    runTest("test", "test_10_04_01_2.v");
  }

  @Test
  public void runTest_10_04_03_1() {
    runTest("test", "test_10_04_03_1.v");
  }

  @Test
  public void runTest_10_04_04_1() {
    runTest("tryfact", "test_10_04_04_1.v");
  }

  @Test
  public void runTest_10_04_05_1() {
    runTest("ram_model", "test_10_04_05_1.v");
  }

  @Test
  public void runTest_11_04_01_1() {
    runTest("test", "test_11_04_01_1.v");
  }

  @Test
  public void runTest_11_05_00_1() {
    runTest("test", "test_11_05_00_1.v");
  }

  @Test
  public void runTest_12_01_02_1() {
    runTest("ffnand_wave", "test_12_01_02_1.v");
  }

  @Test
  public void runTest_12_01_02_2() {
    runTest("ffnand_wave", "test_12_01_02_2.v");
  }

  @Test
  public void runTest_12_02_00_1() {
    runTest("generic_fifo", "test_12_02_00_1.v");
  }

  @Test
  public void runTest_12_02_00_2() {
    runTest("bar", "test_12_02_00_2.v");
  }

  @Test
  public void runTest_12_02_01_1() {
    runTest("test", "test_12_02_01_1.v");
  }

  @Test
  public void runTest_12_02_01_2() {
    runTest("annotate", "test_12_02_01_2.v");
  }

  @Test
  public void runTest_12_02_02_1_1() {
    runTest("tb1", "test_12_02_02_1_1.v");
  }

  @Test
  public void runTest_12_02_02_1_2() {
    runTest("top", "test_12_02_02_1_2.v");
  }

  @Test
  public void runTest_12_02_02_2_1() {
    runTest("tb2", "test_12_02_02_2_1.v");
  }

  @Test
  public void runTest_12_02_02_2_2() {
    runTest("tb3", "test_12_02_02_2_2.v");
  }

  @Test
  public void runTest_12_02_03_1() {
    runTest("test", "test_12_02_03_1.v");
  }

  @Test
  public void runTest_12_03_03_1() {
    runTest("test", "test_12_03_03_1.v");
  }

  @Test
  public void runTest_12_03_03_2() {
    runTest("test", "test_12_03_03_2.v");
  }

  @Test
  public void runTest_12_03_03_3() {
    runTest("test", "test_12_03_03_3.v");
  }

  @Test
  public void runTest_12_03_05_1() {
    runTest("topmod", "test_12_03_05_1.v");
  }

  @Test
  public void runTest_12_03_06_1() {
    runTest("test", "test_12_03_06_1.v");
  }

  @Test
  public void runTest_12_03_06_2() {
    runTest("topmod", "test_12_03_06_2.v");
  }

  @Test
  public void runTest_12_03_07_1_d() {
    runTest("driver", "test_12_03_07_1.v");
  }

  @Test
  public void runTest_12_03_07_1_r() {
    runTest("receiver", "test_12_03_07_1.v");
  }

  @Test
  public void runTest_12_04_01_1_a() {
    runTest("mod_a", "test_12_04_01_1.v");
  }

  @Test
  public void runTest_12_04_01_1_b() {
    runTest("mod_b", "test_12_04_01_1.v");
  }

  @Test
  public void runTest_12_04_01_1_c() {
    runTest("mod_c", "test_12_04_01_1.v");
  }

  @Test
  public void runTest_12_04_01_2() {
    runTest("gray2bin1", "test_12_04_01_2.v");
  }

  @Test
  public void runTest_12_04_01_3() {
    runTest("addergen1", "test_12_04_01_3.v");
  }

  @Test
  public void runTest_12_04_01_4() {
    runTest("addergen1", "test_12_04_01_4.v");
  }

  @Test
  public void runTest_12_04_01_5() {
    runTest("test", "test_12_04_01_5.v");
  }

  @Test
  public void runTest_12_04_02_1() {
    runTest("test", "test_12_04_02_1.v");
  }

  @Test
  public void runTest_12_04_02_2() {
    runTest("multiplier", "test_12_04_02_2.v");
  }

  @Test
  public void runTest_12_04_02_3() {
    runTest("test", "test_12_04_02_3.v");
  }

  @Test
  public void runTest_12_04_02_4() {
    runTest("dimm", "test_12_04_02_4.v");
  }

  @Test
  public void runTest_12_04_03_1() {
    runTest("top", "test_12_04_03_1.v");
  }

  @Test
  public void runTest_12_05_00_1() {
    runTest("wave", "test_12_05_00_1.v");
  }

  @Test
  public void runTest_12_05_00_2() {
    runTest("test", "test_12_05_00_2.v");
  }

  @Test
  public void runTest_12_06_00_1() {
    runTest("d", "test_12_06_00_1.v");
  }

  @Test
  public void runTest_12_07_00_1() {
    runTest("test", "test_12_07_00_1.v");
  }

  @Test
  public void runTest_12_08_02_1() {
    runTest("m1", "test_12_08_02_1.v");
  }

  @Test
  public void runTest_14_01_00_1() {
    runTest("test", "test_14_01_00_1.v");
  }

  @Test
  public void runTest_14_02_02_1() {
    runTest("test", "test_14_02_02_1.v");
  }

  @Test
  public void runTest_14_02_03_1() {
    runTest("test", "test_14_02_03_1.v");
  }

  @Test
  public void runTest_14_02_03_2() {
    runTest("test", "test_14_02_03_2.v");
  }

  @Test
  public void runTest_14_02_03_3() {
    runTest("test", "test_14_02_03_3.v");
  }

  @Test
  public void runTest_14_02_04_2_1() {
    runTest("XORgate", "test_14_02_04_2_1.v");
  }

  @Test
  public void runTest_14_02_04_2_2() {
    runTest("ALU", "test_14_02_04_2_2.v");
  }

  @Test
  public void runTest_14_02_04_3_1() {
    runTest("test", "test_14_02_04_3_1.v");
  }

  @Test
  public void runTest_14_02_04_3_2() {
    runTest("test", "test_14_02_04_3_2.v");
  }

  @Test
  public void runTest_14_02_04_3_3() {
    runTest("test", "test_14_02_04_3_3.v");
  }

  @Test
  public void runTest_14_02_04_3_4() {
    runTest("test", "test_14_02_04_3_4.v");
  }

  @Test
  public void runTest_14_02_04_4_1() {
    runTest("test", "test_14_02_04_4_1.v");
  }

  @Test
  public void runTest_14_02_04_4_2() {
    runTest("test", "test_14_02_04_4_2.v");
  }

  @Test
  public void runTest_14_02_05_1() {
    runTest("mux8", "test_14_02_05_1.v");
  }

  @Test
  public void runTest_14_02_06_1() {
    runTest("test", "test_14_02_06_1.v");
  }

  @Test
  public void runTest_14_02_07_1_1() {
    runTest("test", "test_14_02_07_1_1.v");
  }

  @Test
  public void runTest_14_02_07_2_1() {
    runTest("test", "test_14_02_07_2_1.v");
  }

  @Test
  public void runTest_14_02_07_3_1() {
    runTest("test", "test_14_02_07_3_1.v");
  }

  @Test
  public void runTest_14_03_00_1() {
    runTest("test", "test_14_03_00_1.v");
  }

  @Test
  public void runTest_14_03_01_1() {
    runTest("test", "test_14_03_01_1.v");
  }

  @Test
  public void runTest_14_03_03_1() {
    runTest("test", "test_14_03_03_1.v");
  }

  @Test
  public void runTest_14_03_03_2() {
    runTest("test", "test_14_03_03_2.v");
  }

  @Test
  public void runTest_14_06_01_1() {
    runTest("test", "test_14_06_01_1.v");
  }

  @Test
  public void runTest_14_06_04_2_1() {
    runTest("test", "test_14_06_04_2_1.v");
  }

  @Test
  public void runTest_14_06_04_2_2() {
    runTest("test", "test_14_06_04_2_2.v");
  }

  @Test
  public void runTest_14_06_04_2_3() {
    runTest("test", "test_14_06_04_2_3.v");
  }

  @Test
  public void runTest_15_02_03_1() {
    runTest("test", "test_15_02_03_1.v");
  }

  @Test
  public void runTest_15_02_06_1() {
    runTest("test", "test_15_02_06_1.v");
  }

  @Test
  public void runTest_15_03_02_1() {
    runTest("test", "test_15_03_02_1.v");
  }

  @Test
  public void runTest_15_03_03_1() {
    runTest("test", "test_15_03_03_1.v");
  }

  @Test
  public void runTest_15_03_04_1() {
    runTest("test", "test_15_03_04_1.v");
  }

  @Test
  public void runTest_15_03_04_2() {
    runTest("test", "test_15_03_04_2.v");
  }

  @Test
  public void runTest_15_03_06_1() {
    runTest("test", "test_15_03_06_1.v");
  }

  @Test
  public void runTest_15_04_00_1() {
    runTest("test", "test_15_04_00_1.v");
  }

  @Test
  public void runTest_15_05_00_1() {
    runTest("test", "test_15_05_00_1.v");
  }

  @Test
  public void runTest_15_05_00_2() {
    runTest("dff", "test_15_05_00_2.v");
  }

  @Test
  public void runTest_15_05_01_1() {
    runTest("test", "test_15_05_01_1.v");
  }

  @Test
  public void runTest_15_05_01_2() {
    runTest("test", "test_15_05_01_2.v");
  }

  @Test
  public void runTest_15_05_01_3() {
    runTest("test", "test_15_05_01_3.v");
  }

  @Test
  public void runTest_15_05_01_4() {
    runTest("test", "test_15_05_01_4.v");
  }

  @Test
  public void runTest_15_05_02_1() {
    runTest("test", "test_15_05_02_1.v");
  }

  @Test
  public void runTest_15_05_02_2() {
    runTest("test", "test_15_05_02_2.v");
  }

  @Test
  public void runTest_15_05_02_3() {
    runTest("test", "test_15_05_02_3.v");
  }

  @Test
  public void runTest_15_06_00_1() {
    runTest("test", "test_15_06_00_1.v");
  }

  @Test
  public void runTest_15_06_00_2() {
    runTest("test", "test_15_06_00_2.v");
  }

  @Test
  public void runTest_15_06_00_3() {
    runTest("test", "test_15_06_00_3.v");
  }

  @Test
  public void runTest_15_07_00_1() {
    runTest("DFF", "test_15_07_00_1.v");
  }

  @Test
  public void runTest_16_02_01_1() {
    runTest("test", "test_16_02_01_1.v");
  }

  @Test
  public void runTest_16_02_01_2() {
    runTest("test", "test_16_02_01_2.v");
  }

  @Test
  public void runTest_16_02_01_3() {
    runTest("test", "test_16_02_01_3.v");
  }

  @Test
  public void runTest_16_02_02_1() {
    runTest("test", "test_16_02_02_1.v");
  }

  @Test
  public void runTest_16_02_02_2() {
    runTest("test", "test_16_02_02_2.v");
  }

  @Test
  public void runTest_16_02_02_3() {
    runTest("test", "test_16_02_02_3.v");
  }

  @Test
  public void runTest_16_02_03_1() {
    runTest("clock", "test_16_02_03_1.v");
  }

  @Test
  public void runTest_17_01_01_1_1() {
    runTest("disp", "test_17_01_01_1_1.v");
  }

  @Test
  public void runTest_17_01_01_2_1() {
    runTest("disp", "test_17_01_01_2_1.v");
  }

  @Test
  public void runTest_17_01_01_3_1() {
    runTest("test", "test_17_01_01_3_1.v");
  }

  @Test
  public void runTest_17_01_01_3_2() {
    runTest("printval", "test_17_01_01_3_2.v");
  }

  @Test
  public void runTest_17_01_01_4_1() {
    runTest("test", "test_17_01_01_4_1.v");
  }

  @Test
  public void runTest_17_01_01_5_1() {
    runTest("test", "test_17_01_01_5_1.v");
  }

  @Test
  public void runTest_17_01_02_1() {
    runTest("test", "test_17_01_02_1.v");
  }

  @Test
  public void runTest_17_02_02_1() {
    runTest("test", "test_17_02_02_1.v");
  }

  @Test
  public void runTest_17_02_04_1_1() {
    runTest("test", "test_17_02_04_1_1.v");
  }

  @Test
  public void runTest_17_02_04_1_2() {
    runTest("test", "test_17_02_04_1_2.v");
  }

  @Test
  public void runTest_17_02_04_2_1() {
    runTest("test", "test_17_02_04_2_1.v");
  }

  @Test
  public void runTest_17_02_04_3_1() {
    runTest("test", "test_17_02_04_3_1.v");
  }

  @Test
  public void runTest_17_02_04_4_1() {
    runTest("test", "test_17_02_04_4_1.v");
  }

  @Test
  public void runTest_17_02_05_1() {
    runTest("test", "test_17_02_05_1.v");
  }

  @Test
  public void runTest_17_02_05_2() {
    runTest("test", "test_17_02_05_2.v");
  }

  @Test
  public void runTest_17_02_06_1() {
    runTest("test", "test_17_02_06_1.v");
  }

  @Test
  public void runTest_17_02_07_1() {
    runTest("test", "test_17_02_07_1.v");
  }

  @Test
  public void runTest_17_02_08_1() {
    runTest("test", "test_17_02_08_1.v");
  }

  @Test
  public void runTest_17_02_09_1() {
    runTest("test", "test_17_02_09_1.v");
  }

  @Test
  public void runTest_17_03_01_1() {
    runTest("a_dat", "test_17_03_01_1.v");
  }

  @Test
  public void runTest_17_03_02_1_c() {
    runTest("cntrl", "test_17_03_02_1.v");
  }

  @Test
  public void runTest_17_03_02_1_a1() {
    runTest("a1_dat", "test_17_03_02_1.v");
  }

  @Test
  public void runTest_17_03_02_1_a2() {
    runTest("a2_dat", "test_17_03_02_1.v");
  }

  @Test
  public void runTest_17_05_01_1() {
    runTest("test", "test_17_05_01_1.v");
  }

  @Test
  public void runTest_17_05_02_1() {
    runTest("test", "test_17_05_02_1.v");
  }

  @Test
  public void runTest_17_05_03_1() {
    runTest("test", "test_17_05_03_1.v");
  }

  @Test
  public void runTest_17_05_04_1() {
    runTest("async_array", "test_17_05_04_1.v");
  }

  @Test
  public void runTest_17_05_04_2() {
    runTest("sync_array", "test_17_05_04_2.v");
  }

  @Test
  public void runTest_17_05_04_3() {
    runTest("pla", "test_17_05_04_3.v");
  }

  @Test
  public void runTest_17_07_01_1() {
    runTest("test", "test_17_07_01_1.v");
  }

  @Test
  public void runTest_17_07_03_1() {
    runTest("test", "test_17_07_03_1.v");
  }

  @Test
  public void runTest_17_08_00_1_d() {
    runTest("driver", "test_17_08_00_1.v");
  }

  @Test
  public void runTest_17_08_00_1_r() {
    runTest("receiver", "test_17_08_00_1.v");
  }

  @Test
  public void runTest_17_09_01_1() {
    runTest("test", "test_17_09_01_1.v");
  }

  @Test
  public void runTest_17_09_01_2() {
    runTest("test", "test_17_09_01_2.v");
  }

  @Test
  public void runTest_17_10_01_1() {
    runTest("test", "test_17_10_01_1.v");
  }

  @Test
  public void runTest_17_10_02_1_g() {
    runTest("goodtasks", "test_17_10_02_1.v");
  }

  @Test
  public void runTest_17_10_02_1_i() {
    runTest("ieee1364_example", "test_17_10_02_1.v");
  }

  @Test
  public void runTest_17_11_01_1() {
    runTest("test", "test_17_11_01_1.v");
  }

  @Test
  public void runTest_17_11_02_1() {
    runTest("test", "test_17_11_02_1.v");
  }

  @Test
  public void runTest_17_11_02_2() {
    runTest("test", "test_17_11_02_2.v");
  }

  @Test
  public void runTest_17_11_02_3() {
    runTest("test", "test_17_11_02_3.v");
  }

  @Test
  public void runTest_17_11_02_4() {
    runTest("test", "test_17_11_02_4.v");
  }

  @Test
  public void runTest_17_11_02_5() {
    runTest("test", "test_17_11_02_5.v");
  }

  @Test
  public void runTest_17_11_02_6() {
    runTest("test", "test_17_11_02_6.v");
  }

  @Test
  public void runTest_17_11_02_7() {
    runTest("test", "test_17_11_02_7.v");
  }

  @Test
  public void runTest_17_11_02_8() {
    runTest("test", "test_17_11_02_8.v");
  }

  @Test
  public void runTest_17_11_02_9() {
    runTest("test", "test_17_11_02_9.v");
  }

  @Test
  public void runTest_17_11_02_10() {
    runTest("test", "test_17_11_02_10.v");
  }

  @Test
  public void runTest_17_11_02_11() {
    runTest("test", "test_17_11_02_11.v");
  }

  @Test
  public void runTest_17_11_02_12() {
    runTest("test", "test_17_11_02_12.v");
  }

  @Test
  public void runTest_17_11_02_13() {
    runTest("test", "test_17_11_02_13.v");
  }

  @Test
  public void runTest_17_11_02_14() {
    runTest("test", "test_17_11_02_14.v");
  }

  @Test
  public void runTest_17_11_02_15() {
    runTest("test", "test_17_11_02_15.v");
  }

  @Test
  public void runTest_17_11_02_16() {
    runTest("test", "test_17_11_02_16.v");
  }

  @Test
  public void runTest_17_11_02_17() {
    runTest("test", "test_17_11_02_17.v");
  }

  @Test
  public void runTest_17_11_02_18() {
    runTest("test", "test_17_11_02_18.v");
  }

  @Test
  public void runTest_17_11_02_19() {
    runTest("test", "test_17_11_02_19.v");
  }

  @Test
  public void runTest_17_11_02_20() {
    runTest("test", "test_17_11_02_20.v");
  }

  @Test
  public void runTest_17_11_02_21() {
    runTest("test", "test_17_11_02_21.v");
  }

  @Test
  public void runTest_18_01_01_1() {
    runTest("test", "test_18_01_01_1.v");
  }

  @Test
  public void runTest_18_01_02_1() {
    runTest("top", "test_18_01_02_1.v");
  }

  @Test
  public void runTest_18_01_02_2() {
    runTest("top", "test_18_01_02_2.v");
  }

  @Test
  public void runTest_18_01_02_3() {
    runTest("top", "test_18_01_02_3.v");
  }

  @Test
  public void runTest_18_01_03_1() {
    runTest("test", "test_18_01_03_1.v");
  }

  @Test
  public void runTest_18_01_06_1() {
    runTest("test", "test_18_01_06_1.v");
  }

  @Test
  public void runTest_18_01_06_2() {
    runTest("dump", "test_18_01_06_2.v");
  }

  @Test
  public void runTest_18_04_02_1() {
    runTest("test_device", "test_18_04_02_1.v");
  }

  @Test
  public void runTest_19_03_01_1() {
    runTest("test", "test_19_03_01_1.v");
  }

  @Test
  public void runTest_19_03_01_2() {
    runTest("test", "test_19_03_01_2.v");
  }

  @Test
  public void runTest_19_04_00_1() {
    runTest("and_op", "test_19_04_00_1.v");
  }

  @Test
  public void runTest_19_04_00_2() {
    runTest("test", "test_19_04_00_2.v");
  }

  @Test
  public void runTest_19_04_00_3() {
    runTest("test", "test_19_04_00_3.v");
  }

  @Test
  public void runTest_19_05_00_1() {
    runTest("test", "test_19_05_00_1.v");
  }

  @Test
  public void runTest_19_07_00_1() {
    runTest("test", "test_19_07_00_1.v");
  }

  @Test
  public void runTest_19_08_00_1() {
    runTest("test", "test_19_08_00_1.v");
  }

  @Test
  public void runTest_19_08_00_2() {
    runTest("test", "test_19_08_00_2.v");
  }

  @Test
  public void runTest_19_08_00_3() {
    runTest("test", "test_19_08_00_3.v");
  }

  @Test
  public void runTest_19_11_00_1() {
    runTest("m2", "test_19_11_00_1.v");
  }

  @Test
  public void runTest_19_11_00_2() {
    runTest("m2", "test_19_11_00_2.v");
  }

  @Override
  String getTestDirPath() {
    return System.getProperty("user.dir")
        + File.separator
        + Paths.get("src", "test", "verilog", "ieee-tests").toString()
        + File.separator;
  }
}
